Delete Trusted Certificate

Delete Trusted Certificate
Delete Trusted Certificate

Removes a trusted certificate from the HCX Manager's trust store using its SHA-256 thumbprint.

Request
URI
DELETE
https://{server}:9443/api/admin/certificates/{sha256}
COPY
Path Parameters
string
sha256
Required

SHA-256 thumbprint of the certificate to delete (case-insensitive)

sha256 example
a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456

Authentication
This operation uses the following authentication methods.
Responses
200

Certificate deleted successfully

Returns CertificateRestResponse of type(s) application/json
{
    "success": true,
    "completed": true,
    "time": 1753094523000,
    "version": "1.0",
    "data": {
        "items": [
            "a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456"
        ]
    }
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Optional

API version

string
protocol
Optional

Protocol version

string
fingerprint
Optional

Response fingerprint

object
data
Optional

Response data containing items array

array of object
errors
Optional

Array of error objects

array of object
warnings
Optional

Array of warning objects


404

Certificate not found

Returns CertificateRestResponse of type(s) application/json
{
    "success": true,
    "completed": true,
    "time": 1753094523000,
    "version": "1.0",
    "data": {
        "items": []
    }
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Optional

API version

string
protocol
Optional

Protocol version

string
fingerprint
Optional

Response fingerprint

object
data
Optional

Response data containing items array

array of object
errors
Optional

Array of error objects

array of object
warnings
Optional

Array of warning objects


500

Internal server error

Returns CertificateRestResponse of type(s) application/json
{
    "success": false,
    "completed": true,
    "time": 1753094523000,
    "version": "1.0",
    "errors": [
        {
            "text": "Failed to delete certificate"
        }
    ]
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Optional

API version

string
protocol
Optional

Protocol version

string
fingerprint
Optional

Response fingerprint

object
data
Optional

Response data containing items array

array of object
errors
Optional

Array of error objects

array of object
warnings
Optional

Array of warning objects


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/admin/certificates/{sha256}